Bug 177699 - Auto mounting of USB media fails
Auto mounting of USB media fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-12 18:03 EST by Adam Huffman
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.15-1.1831
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-16 18:32:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Huffman 2006-01-12 18:03:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
When I connect a K750i phone (with a 64Mb Memory Stick) to the USB port on a Vaio
S1XP, the Memory Stick is detected and the partition table found.  However, even though removable media is set to be mounted upon insertion, it is not mounted.  I am able to mount it manually, at which point the prompt about importing images appears.

I'm putting the component as kernel though it may in fact be one of the HAL/GNOME components.

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1653_FC4

How reproducible:
Always

Steps to Reproduce:
1. Connect USB cable from phone to laptop
2. The Memory Stick in the phone should be mounted
3.
  

Actual Results:  There was a burst of CPU activity, involving hald and gnome-volume-manager, but the device was not mounted.

Expected Results:  The device should have been automatically mounted.

Additional info:

Kernel output:

Jan 12 23:01:09 charlus kernel: usb 2-1: new full speed USB device using uhci_hcd and address 3
Jan 12 23:01:09 charlus kernel: cdc_acm 2-1:1.1: ttyACM0: USB ACM device
Jan 12 23:01:09 charlus kernel: cdc_acm 2-1:1.3: ttyACM1: USB ACM device
Jan 12 23:01:09 charlus kernel: scsi1 : SCSI emulation for USB Mass Storage devices
Jan 12 23:01:14 charlus kernel:   Vendor: Sony Eri  Model: Memory Stick      Rev: 0000
Jan 12 23:01:14 charlus kernel:   Type:   Direct-Access                      ANSI SCSI revision: 00
Jan 12 23:01:14 charlus kernel: SCSI device sda: 126912 512-byte hdwr sectors (65 MB)
Jan 12 23:01:14 charlus kernel: sda: Write Protect is off
Jan 12 23:01:14 charlus kernel: sda: assuming drive cache: write through
Jan 12 23:01:14 charlus kernel: SCSI device sda: 126912 512-byte hdwr sectors (65 MB)
Jan 12 23:01:14 charlus kernel: sda: Write Protect is off
Jan 12 23:01:14 charlus kernel: sda: assuming drive cache: write through
Jan 12 23:01:15 charlus kernel:  sda: sda1
Jan 12 23:01:15 charlus kernel: Attached scsi removable disk sda at scsi1, channel 0, id 0, lun 0
Jan 12 23:01:23 charlus scsi.agent[5718]: disk at /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.8/host1/target1:0:0/1:0:0:0

lspci:
[root@charlus ~]# lspci
00:00.0 Host bridge: Intel Corporation 82855PM Processor to I/O Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation 82855PM Processor to AGP Controller (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller (rev 03)
01:00.0 VGA compatible controller: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]
02:04.0 CardBus bridge: Texas Instruments PCI7420 CardBus Controller
02:04.2 FireWire (IEEE 1394): Texas Instruments PCI7x20 1394a-2000 OHCI Two-Port PHY/Link-Layer Controller
02:04.3 Mass storage controller: Texas Instruments PCI7420/PCI7620 Dual Socket CardBus and Smart Card Cont. w/ 1394a-2000 OHCI Two-Port  PHY/Link-Layer Cont. an02:08.0 Ethernet controller: Intel Corporation 82801DB PRO/100 VE (MOB) Ethernet Controller (rev 83)
02:0b.0 Network controller: Intel Corporation PRO/Wireless 2200BG (rev 05)
Comment 1 Adam Huffman 2006-01-14 04:41:30 EST
Actually the phone broke and has been replaced.  I now have a 1GB Memory Stick,
which is mounted both directly via a card reader and indirectly via a USB
connection to the phone.  So this is working now.
Comment 2 Adam Huffman 2006-01-15 20:27:47 EST
The original problem occurs when trying to mount the memory stick in the phone
on a Vaio S1XP laptop i.e. the partition is detected but not mounted automatically.

Perhaps a HAL problem?
Comment 3 Dave Jones 2006-02-03 00:46:51 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 Adam Huffman 2006-02-16 18:32:21 EST
I can confirm that mounting the Memory Stick in the phone on the S1XP works now
with the 1831 kernel.

Note You need to log in before you can comment on or make changes to this bug.